Reversed patch

From abd0be51a00444d3be6b213e0926675e5a4e5ed3 Mon Sep 17 00:00:00 2001
From: Brenden Matthews <brenden@diddyinc.com>
Date: Tue, 23 Jan 2018 12:56:06 -0500
Subject: [PATCH] Use FindCurses instead of pkg_check_modules.

This should resolve #217.
---
 cmake/ConkyPlatformChecks.cmake | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/cmake/ConkyPlatformChecks.cmake b/cmake/ConkyPlatformChecks.cmake
index c5b39b2f..19ec7b9b 100644
--- a/cmake/ConkyPlatformChecks.cmake
+++ b/cmake/ConkyPlatformChecks.cmake
@@ -129,12 +129,12 @@ if(BUILD_HTTP)
 endif(BUILD_HTTP)
 
 if(BUILD_NCURSES)
+	pkg_check_modules(NCURSES ncurses)
+	if(NOT NCURSES_FOUND)
-	include(FindCurses)
-	if(NOT CURSES_FOUND)
 		message(FATAL_ERROR "Unable to find ncurses library")
+	endif(NOT NCURSES_FOUND)
+	set(conky_libs ${conky_libs} ${NCURSES_LIBRARIES})
+	set(conky_includes ${conky_includes} ${NCURSES_INCLUDE_DIRS})
-	endif(NOT CURSES_FOUND)
-	set(conky_libs ${conky_libs} ${CURSES_LIBRARIES})
-	set(conky_includes ${conky_includes} ${CURSES_INCLUDE_DIR})
 endif(BUILD_NCURSES)
 
 if(BUILD_MYSQL)
